Lavalite package that provides eth management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bitcoin/eth`.

    "bitcoin/eth": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bitcoin\Eth\Providers\EthServiceProvider::class,

And also add it to alias

    'Eth'  => Bitcoin\Eth\Facades\Eth::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bitcoin\\EthTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bitcoin\Eth\Providers\EthServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bitcoin\Eth\Providers\EthServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bitcoin\Eth\Providers\EthServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/eth/{modulename}

**User**

    http://path-to-route-folder/user/eth/{modulename}

**Public**

    http://path-to-route-folder/eths


### API endpoints

**List**

    http://path-to-route-folder/api/user/eth/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/eth/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/eth/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/eth/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/eth/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/eth/{modulename}/{slug}
    METHOD: GET